<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
    $act = check($_GET['act']);
} else {
    $act = 'index';
} 
if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 
if (isset($_GET['id'])) {
    $id = abs(intval($_GET['id']));
} else {
    $id = 0;
} 

if (is_admin(array(101, 102, 103, 105))) {
    show_title('site.png', 'Управление гостевой');
    $config['newtitle'] = 'Управление гостевой';

    switch ($act):
    # ###########################################################################################
    # #                                    Главная страница                                    ##
    # ###########################################################################################
    case "index":

        echo '<a href="#down"><img src="../images/img/downs.gif" alt="image" /></a> ';
        echo '<a href="book.php?rand=' . mt_rand(100, 999) . '&amp;' . SID . '">Обновить</a> / ';
        echo '<a href="../book/index.php?start=' . $start . '&amp;' . SID . '">Обзор</a><br /><hr />';

        $total = DB :: $dbh -> querySingle("SELECT count(*) FROM guest;");

        if ($total > 0) {
            if ($start >= $total) {
                $start = 0;
            } 

            $queryguest = DB :: $dbh -> query("SELECT * FROM guest ORDER BY guest_time DESC LIMIT " . $start . ", " . $config['bookpost'] . ";");

            echo '<form action="book.php?act=del&amp;start=' . $start . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post">';

            while ($data = $queryguest -> fetch()) {
                echo '<div class="b">';

                echo user_avatars($data['guest_user']);

                if ($data['guest_user'] == $config['guestsuser']) {
                    echo '<b>' . $data['guest_user'] . '</b> ';
                } else {
                    echo '<b><a href="../pages/anketa.php?uz=' . $data['guest_user'] . '&amp;' . SID . '">' . nickname($data['guest_user']) . '</a></b> ' . user_title($data['guest_user']) . user_online($data['guest_user']) . ' ';
                } 

                echo '<small>(' . date_fixed($data['guest_time']) . ')</small><br />';

                echo '<input type="checkbox" name="del[]" value="' . $data['guest_id'] . '" /> ';
                echo '<a href="book.php?act=edit&amp;id=' . $data['guest_id'] . '&amp;start=' . $start . '&amp;' . SID . '">Редактировать</a> / ';
                echo '<a href="book.php?act=reply&amp;id=' . $data['guest_id'] . '&amp;start=' . $start . '&amp;' . SID . '">Ответить</a></div>';

                echo '<div>' . bb_code($data['guest_text']) . '<br />';

                if (!empty($data['guest_edit'])) {
                    echo '<img src="../images/img/exclamation_small.gif" alt="image" /> <small>Отредактировано: ' . nickname($data['guest_edit']) . ' (' . date_fixed($data['guest_edit_time']) . ')</small><br />';
                } 

                echo '<span class="data">(' . $data['guest_brow'] . ', ' . $data['guest_ip'] . ')</span>';

                if (!empty($data['guest_reply'])) {
                    echo '<br /><span style="color:#ff0000">Ответ: ' . $data['guest_reply'] . '</span>';
                } 

                echo '</div>';
            } 
            echo '<br /><input type="submit" value="Удалить выбранное" /></form>';

            page_jumpnavigation('book.php?', $config['bookpost'], $start, $total);
            page_strnavigation('book.php?', $config['bookpost'], $start, $total);

            echo 'Всего сообщений: <b>' . (int)$total . '</b><br /><br />';

            if (is_admin(array(101))) {
                echo '<img src="../images/img/error.gif" alt="image" /> <a href="book.php?act=prodel&amp;' . SID . '">Очистить</a><br />';
            } 
        } else {
            show_error('Сообщений еще нет!');
        } 
        break;
    # ###########################################################################################
    # #                                        Ответ                                           ##
    # ###########################################################################################
    case "reply":

        $queryguest = DB :: $dbh -> query("SELECT * FROM guest WHERE guest_id=? LIMIT 1;", array($id));
        $data = $queryguest -> fetch();

        if (!empty($data)) {
            $data['guest_reply'] = nosmiles($data['guest_reply']);
            $data['guest_reply'] = str_replace('<br />', "\r\n", $data['guest_reply']);

            echo '<b><big>Добавление ответа</big></b><br /><br />';

            echo '<div class="b"><img src="../images/img/edit.gif" alt="image" /> <b><a href="../pages/anketa.php?uz=' . $data['guest_user'] . '&amp;' . SID . '">' . nickname($data['guest_user']) . '</a></b> ' . user_title($data['guest_user']) . user_online($data['guest_user']) . ' <small>(' . date_fixed($data['guest_time']) . ')</small></div>';
            echo '<div>Сообщение: ' . bb_code($data['guest_text']) . '</div><hr />';

            echo '<div class="form">';
            echo '<form action="book.php?id=' . $id . '&amp;act=addreply&amp;start=' . $start . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post">';
            echo 'Cообщение:<br />';
            echo '<textarea cols="25" rows="3" name="reply">' . $data['guest_reply'] . '</textarea>';
            echo '<br /><input type="submit" value="Ответить" /></form></div><br />';
        } else {
            show_error('Ошибка! Сообщения для ответа не существует!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="book.php?start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
        break;
    # ###########################################################################################
    # #                                  Добавление ответа                                     ##
    # ###########################################################################################
    case "addreply":

        $uid = check($_GET['uid']);
        $reply = check($_POST['reply']);

        if ($uid == $_SESSION['token']) {
            if (utf_strlen($reply) >= 5 && utf_strlen($reply) < 1000) {
                $queryguest = DB :: $dbh -> querySingle("SELECT guest_id FROM guest WHERE guest_id=? LIMIT 1;", array($id));
                if (!empty($queryguest)) {
                    $reply = no_br($reply);
                    $reply = smiles($reply);

                    DB :: $dbh -> query("UPDATE guest SET guest_reply=? WHERE guest_id=?", array($reply, $id));

                    $_SESSION['note'] = 'Ответ успешно добавлен!';
                    header ("Location: book.php?start=$start&" . SID);
                    exit;
                } else {
                    show_error('Ошибка! Сообщения для ответа не существует!');
                } 
            } else {
                show_error('Ошибка! Слишком длинный или короткий текст ответа!');
            } 
        } else {
            show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="book.php?act=reply&amp;id=' . $id . '&amp;start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
        echo '<img src="../images/img/reload.gif" alt="image" /> <a href="book.php?start=' . $start . '&amp;' . SID . '">В гостевую</a><br />';
        break;
    # ###########################################################################################
    # #                                    Редактирование                                      ##
    # ###########################################################################################
    case "edit":

        $queryguest = DB :: $dbh -> query("SELECT * FROM guest WHERE guest_id=? LIMIT 1;", array($id));
        $data = $queryguest -> fetch();

        if (!empty($data)) {
            $data['guest_text'] = nosmiles($data['guest_text']);
            $data['guest_text'] = str_replace('<br />', "\r\n", $data['guest_text']);

            echo '<b><big>Редактирование сообщения</big></b><br /><br />';

            echo '<img src="../images/img/edit.gif" alt="image" /> <b>' . nickname($data['guest_user']) . '</b> <small>(' . date_fixed($data['guest_time']) . ')</small><br /><br />';

            echo '<div class="form">';
            echo '<form action="book.php?act=addedit&amp;id=' . $id . '&amp;start=' . $start . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post">';
            echo 'Cообщение:<br />';
            echo '<textarea cols="50" rows="3" name="msg">' . $data['guest_text'] . '</textarea><br /><br />';
            echo '<input type="submit" value="Изменить" /></form></div><br />';
        } else {
            show_error('Ошибка! Сообщения для редактирования не существует!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="book.php?start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
        break;
    # ###########################################################################################
    # #                                 Изменение сообщения                                    ##
    # ###########################################################################################
    case "addedit":

        $uid = check($_GET['uid']);
        $msg = check($_POST['msg']);

        if ($uid == $_SESSION['token']) {
            if (utf_strlen(trim($msg)) >= 5 && utf_strlen($msg) < 1000) {
                $queryguest = DB :: $dbh -> querySingle("SELECT guest_id FROM guest WHERE guest_id=? LIMIT 1;", array($id));
                if (!empty($queryguest)) {
                    $msg = no_br($msg);
                    $msg = smiles($msg);

                    DB :: $dbh -> query("UPDATE guest SET guest_text=?, guest_edit=?, guest_edit_time=? WHERE guest_id=?", array($msg, $log, SITETIME, $id));

                    $_SESSION['note'] = 'Сообщение успешно отредактировано!';
                    header ("Location: book.php?start=$start&" . SID);
                    exit();
                } else {
                    show_error('Ошибка! Сообщения для редактирования не существует!');
                } 
            } else {
                show_error('Ошибка! Слишком длинный или короткий текст сообщения!');
            } 
        } else {
            show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="book.php?act=edit&amp;id=' . $id . '&amp;start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
        break;
    # ###########################################################################################
    # #                                 Удаление сообщений                                     ##
    # ###########################################################################################
    case "del":

        $uid = check($_GET['uid']);
        if (isset($_POST['del'])) {
            $del = intar($_POST['del']);
        } else {
            $del = 0;
        } 

        if ($uid == $_SESSION['token']) {
            if (!empty($del)) {
                $del = implode(',', $del);

                DB :: $dbh -> query("DELETE FROM guest WHERE guest_id IN (" . $del . ");");

                $_SESSION['note'] = 'Выбранные сообщения успешно удалены!';
                header ("Location: book.php?start=$start&" . SID);
                exit();
            } else {
                show_error('Ошибка! Отсутствуют выбранные сообщения!');
            } 
        } else {
            show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="book.php?start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
        break;
    # ###########################################################################################
    # #                                 Подтверждение очистки                                  ##
    # ###########################################################################################
    case "prodel":
        echo 'Вы уверены что хотите удалить все сообщения в гостевой?<br />';
        echo '<img src="../images/img/error.gif" alt="image" /> <b><a href="book.php?act=alldel&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">Да, уверен!</a></b><br /><br />';

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="book.php?' . SID . '">Вернуться</a><br />';
        break;
    # ###########################################################################################
    # #                                   Очистка гостевой                                     ##
    # ###########################################################################################
    case "alldel":

        $uid = check($_GET['uid']);

        if (is_admin(array(101))) {
            if ($uid == $_SESSION['token']) {
                DB :: $dbh -> query("DELETE FROM guest;");

                $_SESSION['note'] = 'Гостевая книга успешно очищена!';
                header ("Location: book.php?" . SID);
                exit;
            } else {
                show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
            } 
        } else {
            show_error('Ошибка! Очищать гостевую могут только суперадмины!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="book.php?' . SID . '">Вернуться</a><br />';
        break;

    default:
        header("location: book.php?" . SID);
        endswitch;

        echo '<img src="../images/img/panel.gif" alt="image" /> <a href="index.php?' . SID . '">В админку</a><br />';
        echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';
    } else {
    header ('Location: ' . BASEDIR . 'index.php?' . SID);
    exit;
} 

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>